Package org.jboss.logging.processor.generator.model

# Class ClassModel

java.lang.Object
org.jboss.logging.processor.generator.model.ClassModel

public abstract class ClassModel extends Object
The basic java class model.

Author:
  Kevin Pollet - SERLI - (kevin.pollet@serli.com), James R. Perkins

## Method Summary

Modifier and Type
Method
Description
`final void`
`generateAndWrite()`
Writes the generated source file to the file system.
`final MessageInterface`
`messageInterface()`
Returns the message interface being used.
`final String`
`qualifiedClassName()`
Get the class name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### messageInterface

public final MessageInterface messageInterface()
Returns the message interface being used.

Returns:
  the message interface.

### generateAndWrite

public final void generateAndWrite() throws IOException
Writes the generated source file to the file system.

Throws:
  `IOException` - if the file could not be written

### qualifiedClassName

public final String qualifiedClassName()
Get the class name.

Returns:
  the class name